GpgFrontend::UI::Wizard Class Reference
Inheritance diagram for GpgFrontend::UI::Wizard:
Collaboration diagram for GpgFrontend::UI::Wizard:

## Public Types

enum | WizardPages { Page_Intro, Page_Choose, Page_GenKey, Page_Conclusion }

## Signals

void | SignalOpenHelp (QString page)

## Public Member Functions

| Wizard (QWidget *parent=nullptr)
| Construct a new Wizard object. More...

## Private Slots

void | slot_wizard_accepted ()

## Constructor & Destructor Documentation

## Wizard()

GpgFrontend::UI::Wizard::Wizard | ( | QWidget * | parent = `nullptr` | ) |

explicit

Construct a new Wizard object.

Parameters

  parent |

References GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), and GpgFrontend::GlobalSettingStation::GetUISettings().

## Member Function Documentation

## SignalOpenHelp

void GpgFrontend::UI::Wizard::SignalOpenHelp | ( | QString | page | ) |

signal

Parameters

  page |

The documentation for this class was generated from the following files:

- src/ui/dialog/Wizard.h
- src/ui/dialog/Wizard.cpp